[Previous] [Next] [Up] [Top]

### NAME

ft_dataskip,ft_dataseek -Fitsy FITS routines to work with the data portion of a FITS file.

### SYNOPSIS

    void ft_dataskip(File ifile, FITSHead fits, File ofile);
    int ft_dataseek(File sfile, FITSHead fits);

### PARAMETERS

- File ifile - File pointer to read FITS data from.
- FITSHead fits - FITS header associated with data.
- File ofile - File pointer to write data to.
- File sfile - File pointer to seek.

### DESCRIPTION

#### ft_dataskip

Skip over the data part of a FITS header data unit.

If the file is seekable and the ofile file pointer is NULL the data are skipped with an fseek().

If the ofile file pointer is NULL no data is written.

#### ft_dataseek

Seek to the data portion of prevoiusly read fits header data unit.

[Previous] [Next] [Up] [Top]